Bug 49861 - Log format of RMI ports can be improved, remove ","
Log format of RMI ports can be improved, remove ","
Status: RESOLVED FIXED
Product: Tomcat 6
Classification: Unclassified
Component: Catalina
6.0.29
PC Linux
: P2 minor (vote)
: default
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2010-09-02 04:42 UTC by Peter Bieringer
Modified: 2010-10-03 13:41 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Bieringer 2010-09-02 04:42:55 UTC
I've enabled the fixed JMX port listen capability described in http://tomcat.apache.org/tomcat-6.0-doc/config/listeners.html
and found, that fixed ports are logged, but format is not proper imho:

Is:
INFO: The JMX Remote Listener has configured the registry on port 10,001 and the server on port 10,002 for the Platform server

Should:
INFO: The JMX Remote Listener has configured the registry on port 10001 and the server on port 10002 for the Platform server

Just note that is very uncommon logging TCP/UDP ports with a ","
Comment 1 Mark Thomas 2010-10-01 07:38:22 UTC
Fixed in trunk and will be included in 7.0.3 onwards.

Proposed for 6.0.x
Comment 2 Mark Thomas 2010-10-03 13:41:36 UTC
Fixed in 6.0.x and will be included in 6.0.30 onwards.